<?php

namespace Drupal\store_locator\Helper;

/**
 * Google Api Key Helper.
 *
 * @package Drupal\store_locator\Helper
 */
class GoogleApiKeyHelper {

  /**
   * Get the Google Map API Key.
   *
   * @return array
   *   Google Map API Key.
   */
  public static function getGoogleApiKey() {
    $key = \Drupal::config('store_locator.settings')->get('api_key');
    $mapKey = [
      '#tag' => 'script',
      '#attributes' => ['src' => '//maps.googleapis.com/maps/api/js?key=' . $key],
    ];
    return $mapKey;
  }

}
